# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'asteroid/version'

Gem::Specification.new do |spec|
  spec.name          = "asteroid"
  spec.version       = Asteroid::VERSION
  spec.authors       = ["Sam Murphy"]
  spec.email         = ["sam.murphy@gmail.com"]
  spec.summary       = %q{A server configuration framework}
  #spec.description   = %q{TODO: Write a longer description. Optional.}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "net-ssh"
  spec.add_dependency "net-scp"
  spec.add_dependency "activesupport"
  spec.add_dependency "aster"
  spec.add_dependency "digitalocean"
  spec.add_dependency "thor"

  spec.add_development_dependency "bundler", "~> 1.6"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "minitest"
end
