require_relative '../helper'

class TestFileReference < TestCase

  def test_init
    s = FileReference.new "nginx/nginx.conf"
    assert_equal(true, s.exists?)
    assert_equal(false, s.template?)
  end

  def test_template
    s = FileReference.new "nginx/available_site.conf"
    assert_equal(true, s.exists?)
    assert_equal(true, s.template?)
    assert_equal(:erb, s.type)
  end

end